Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.io.nio
Class IndirectNIOBuffer

    java.lang.Object
      org.mortbay.io.AbstractBuffer
          org.mortbay.io.ByteArrayBuffer
              org.mortbay.io.nio.IndirectNIOBuffer

All Implemented Interfaces:
  java.lang.Cloneable, Buffer, NIOBuffer

    public class IndirectNIOBuffer

extends ByteArrayBuffer
implements NIOBuffer

Nested Class Summary

Nested classes/interfaces inherited from class org.mortbay.io.ByteArrayBuffer
`ByteArrayBuffer.CaseInsensitive`

Nested classes/interfaces inherited from interface org.mortbay.io.Buffer
`Buffer.CaseInsensitve`

Field Summary
`protected java.nio.ByteBuffer` | `_buf`

Fields inherited from class org.mortbay.io.ByteArrayBuffer
`_bytes`

Fields inherited from class org.mortbay.io.AbstractBuffer
`__IMMUTABLE, __READONLY, __READWRITE, __VOLATILE, _access, _get, _hash, _hashGet, _hashPut, _mark, _put, _string, _view, _volatile`

Fields inherited from interface org.mortbay.io.Buffer
`IMMUTABLE, NON_VOLATILE, READONLY, READWRITE, VOLATILE`

Constructor Summary
`IndirectNIOBuffer(java.nio.ByteBuffer buffer, boolean immutable)`
`IndirectNIOBuffer(int size)`

Method Summary
`java.nio.ByteBuffer` | `getByteBuffer()`
`boolean` | `isDirect()`

Methods inherited from class org.mortbay.io.ByteArrayBuffer
`array, capacity, compact, equals, equalsIgnoreCase, get, hashCode, peek, peek, poke, poke, poke, readFrom, space, wrap, wrap, writeTo`

Methods inherited from class org.mortbay.io.AbstractBuffer
`asArray, asImmutableBuffer, asMutableBuffer, asNonVolatileBuffer, asReadOnlyBuffer, buffer, clear, duplicate, get, get, getIndex, hasContent, isImmutable, isReadOnly, isVolatile, length, mark, mark, markIndex, peek, peek, put, put, put, put, putIndex, reset, rewind, setGetIndex, setMarkIndex, setPutIndex, skip, slice, sliceFromMark, sliceFromMark, toDebugString, toDetailString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mortbay.io.Buffer
`array, asArray, asImmutableBuffer, asMutableBuffer, asNonVolatileBuffer, asReadOnlyBuffer, buffer, capacity, clear, compact, equalsIgnoreCase, get, get, get, getIndex, hasContent, isImmutable, isReadOnly, isVolatile, length, mark, mark, markIndex, peek, peek, peek, peek, poke, poke, poke, put, put, put, put, putIndex, readFrom, reset, setGetIndex, setMarkIndex, setPutIndex, skip, slice, sliceFromMark, sliceFromMark, space, toDetailString, writeTo`

Field Detail

### _buf

    protected java.nio.ByteBuffer _buf

Constructor Detail

### IndirectNIOBuffer

    public IndirectNIOBuffer(int size)

### IndirectNIOBuffer

    public IndirectNIOBuffer(java.nio.ByteBuffer buffer,
                             boolean immutable)

Method Detail

### getByteBuffer

    public java.nio.ByteBuffer getByteBuffer()

  Specified by:
    `getByteBuffer` in interface `NIOBuffer`

### isDirect

    public boolean isDirect()

  Specified by:
    `isDirect` in interface `NIOBuffer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.